Re: [R] spline.des

From: Marc Schwartz (via MN) <mschwartz_at_mn.rr.com>
Date: Tue 04 Oct 2005 - 06:58:34 EST

On Mon, 2005-10-03 at 15:28 -0500, lforzani wrote:
> Hello, I am using library fda and I can not run a lot of functions because
> I receive the error:
>
> Error in bsplineS(evalarg, breaks, norder, nderiv) :
> couldn't find function "spline.des"
>
>
> do you know how I can fix that? Thnaks. Liliana

spline.des() is in the 'splines' package, installed with the basic R distribution. It appears that bsplineS() has a dependency on this not otherwise referenced in the fda package documentation. Looks like fda has not been updated in some time as well.

I have cc'd Jim Ramsay on this reply as an FYI.

You probably need a:

  library(splines)

before calling your code above.

HTH, Marc Schwartz



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Thu Oct 06 02:41:27 2005

This archive was generated by hypermail 2.1.8 : Sun 23 Oct 2005 - 18:21:12 EST